#!/bin/sh

#  BEEN: Benchmarking Environment
#  ==============================
#
#  File author: David Majda
#
#  GNU Lesser General Public License Version 2.1
#  ---------------------------------------------
#  Copyright (C) 2004-2006 Distributed Systems Research Group,
#  Faculty of Mathematics and Physics, Charles University in Prague
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License version 2.1, as published by the Free Software Foundation.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#  MA  02111-1307  USA

echo -ne "\033]0;Host Runtime\007"

# Starts the Host Runtime

if [ ! -z $* ]; then
  TASK_MANAGER_HOSTNAME=$1
else
  TASK_MANAGER_HOSTNAME=localhost
fi

if [ -z "${BEEN_HOME}" ]; then
  cd ..
  export BEEN_HOME=`pwd`
  cd bin
fi

DATA_DIRECTORY="${BEEN_HOME}/data/hostruntime"

if [ ! -d "${DATA_DIRECTORY}" ]; then
  echo "Fatal error: Host Runtime data directory not found: ${DATA_DIRECTORY}."
  exit 1
fi

BEEN_CLASSPATH="${BEEN_HOME}/dist/been.jar:${BEEN_HOME}/lib/log4j/log4j-1.2.12.jar:${BEEN_HOME}/lib/ant/ant.jar:${BEEN_HOME}/lib/netcdf/netcdfAll.jar:${BEEN_HOME}/lib/sjava/Environment.jar:${BEEN_HOME}/lib/sjava/antlr.jar:${BEEN_HOME}/lib/sjava/jas.jar:${BEEN_HOME}/lib/sjava/sjava.jar"

java -ea -cp "${CLASSPATH}:${BEEN_CLASSPATH}" cz.cuni.mff.been.hostruntime.HostRuntimeRunner "${TASK_MANAGER_HOSTNAME}" "${DATA_DIRECTORY}"
