<%--

  BEEN: Benchmarking Environment
  ==============================
   
  File author: David Majda

  GNU Lesser General Public License Version 2.1
  ---------------------------------------------
  Copyright (C) 2004-2006 Distributed Systems Research Group,
  Faculty of Mathematics and Physics, Charles University in Prague

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License version 2.1, as published by the Free Software Foundation.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

--%><%@
	include file="includes.jsp"
%><%@ page
	import="cz.cuni.mff.been.benchmarkmanager.*"
	import="cz.cuni.mff.been.benchmarkmanager.gui.*"
%><%
	List analyses = (List)application.getAttribute("analyses");
	String type = (String)application.getAttribute("type");
%>
<% if (analyses.size() > 0) { %>
	<table class="list full-width">
		<tr>
			<th>Name</th>
			<th>&nbsp;</th>
			<th>&nbsp;</th>
		</tr>
		<% for (int i = 0; i < analyses.size(); i++) { %>
			<% AnalysisEntity analysis = (AnalysisEntity)analyses.get(i); %>
			<tr>
				<th>
					<a
						href="<%=page_.actionURL("analysis-details")%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>"
					><%=Routines.htmlspecialchars(analysis.getName())%></a>
				</th>
				<td class="right">
					<%
						boolean disableCreateExperimentButton;
						if (analysis.isRegression()) {
							disableCreateExperimentButton = ((RegressionAnalysisEntity)analysis).getSchedule() != null;
						} else {
							disableCreateExperimentButton = false;
						}
					%>
					<form action="<%=page_.actionURL("run-select-plugin")%>">
						<input type="hidden" name="aid" value="<%=Routines.htmlspecialchars(analysis.getId().toString())%>" />
						<input type="submit" class="type-submit-wide" value="Create experiment"
							<%=disableCreateExperimentButton ? " disabled=\"disabled\"" : ""%>
						/>
					</form>
				</td>
				<td class="right">
					<form action="<%=page_.actionURL("analysis-delete")%>"
						onsubmit="return confirm('Do you really want to delete analysis &quot;<%=Routines.htmlspecialchars(Routines.javaScriptEscape(analysis.getName()))%>&quot;?');">
						<input type="hidden" name="aid" value="<%=Routines.htmlspecialchars(analysis.getId().toString())%>" />
						<input type="submit" class="type-submit" value="Delete" />
					</form>
				</td>
			</tr>
		<% } %>
	</table>
<% } else { %>
	<div class="center">No analyses entered. You can add analyses using
	<a href="<%=page_.actionURL("analysis-add")%>?type=<%=type%>">Add analysis</a> page.</div>
<% } %>