<%--

  BEEN: Benchmarking Environment
  ==============================
   
  File author: David Majda

  GNU Lesser General Public License Version 2.1
  ---------------------------------------------
  Copyright (C) 2004-2006 Distributed Systems Research Group,
  Faculty of Mathematics and Physics, Charles University in Prague

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License version 2.1, as published by the Free Software Foundation.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

--%><%@
	include file="includes.jsp"
%><%@ page
	import="cz.cuni.mff.been.benchmarkmanager.*"
	import="cz.cuni.mff.been.benchmarkmanager.gui.*"
	import="cz.cuni.mff.been.webinterface.benchmarks.*"
	import="cz.cuni.mff.been.webinterface.tasks.*"
	import="cz.cuni.mff.been.logging.*"
	import="java.util.EnumSet"
%><%
	AnalysisEntity analysis = (AnalysisEntity)application.getAttribute("analysis");
	Experiment experiment = (Experiment)application.getAttribute("experiment");
	TaskListMode mode = (TaskListMode)application.getAttribute("mode");
	LogRecord[] logRecords = (LogRecord[])application.getAttribute("logRecords");
	EnumSet logFields = (EnumSet)application.getAttribute("logFields");
	LogEntityColumn[] logEntityColumns = (LogEntityColumn[])application.getAttribute("logEntityColumns");

	HashMap data = new HashMap();
%>
<div class="bar"><div class="top-left"><div class="top-right"><div class="bottom-left"><div class="bottom-right"><div class="inner">
	<a href="<%=page_.actionURL("analysis-list")%>">Analyses</a>
	&raquo;
	<a
		href="<%=page_.actionURL("analysis-details")%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>"
	><%=Routines.htmlspecialchars(analysis.getName())%></a>
	&raquo;
	<a
		href="<%=page_.currentActionURL()%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>&amp;eid=<%=Routines.htmlspecialchars(experiment.getId().toString())%>"
	><%=Routines.htmlspecialchars(experiment.getName())%></a>
</div></div></div></div></div></div>

<div class="tabsheet">
	<ul class="tabsheet-tabs">
		<li class="active"><a href="#" onclick="tabsheetActivate(this, 'general-sheet'); return false;">General</a></li>
		<li><a href="#" onclick="tabsheetActivate(this, 'logs-sheet'); return false;">Logs</a></li>
	</ul>
	<div class="tabsheet-sheets">
		<div id="general-sheet" class="tabsheet-sheet-visible">
			<table class="form center-block">
				<tr>
					<td colspan="2"><h2>Experiment information</h2></td>
				</tr>
				<tr>
					<th>Status:</th>
					<td><%=experiment.getStatus().toString()%></td>
				</tr>
				<tr>
					<th>Progress:</th>
					<%
						int percent;
						/* If the experiment is finished, the associated context
						 * may be already deleted and the task states may be set
						 * to invalid values (see BenchmarksModule.taskEntriesFor
						 * method).
						 */
						if (experiment.getStatus().equals(EntityStatus.FINISHED)) {
							percent = 100;
						} else {
							percent = experiment.aggregatedTaskCount() != 0
								? (int)(100 * experiment.aggregatedFinishedTaskCount() / experiment.aggregatedTaskCount())
								: 0;
						}
						int finishedWidth = percent * 2;
						int notFinishedWidth = 200 - finishedWidth;
					%>
					<td>
						<img
							src="../../img/finished.gif"
							width="<%=finishedWidth%>" height="10" alt=""
						/><img
							src="../../img/not-finished.gif"
							width="<%=notFinishedWidth%>" height="10" alt=""
						/>&nbsp;<%=percent%>&nbsp;%
					</td>
				</tr>
				<tr>
					<th>Binaries:</th>
					<td><%=experiment.binaryCount()%></td>
				</tr>
				<tr>
					<th>Runs:</th>
					<td><%=experiment.runCount()%></td>
				</tr>
				<tr>
					<th>Tasks:</th>
					<td><%=experiment.aggregatedTaskCount()%></td>
				</tr>
				<%
					data.clear();
					data.put("roles", experiment.getRoles());
					data.put("headerLevel", 2);
					out.flush(); // unforunately can't be inside writeTemplate method
					page_.writeTemplate("benchmarks-summary-roles", data);
				%>
				<%
					data.clear();
					data.put("callbackRScripts", experiment.getCallbackRScripts());
					data.put("headerLevel", 2);
					out.flush(); // unforunately can't be inside writeTemplate method
					page_.writeTemplate("benchmarks-summary-callback-r-scripts", data);
				%>
				<tr>
					<td colspan="2"><h2>Tasks</h2></td>
				</tr>
				<tr>
					<td colspan="2">
						<%
							if (experiment.getTasks().length > 0) {
								data.clear();
								data.put("tasks", experiment.getTasks());
								data.put("checkpoints", experiment.getCheckpoints());
								data.put("showHost", true);
								data.put("showContext", true);
								data.put("mode", mode);
								out.flush(); // unforunately can't be inside writeTemplate method
								page_.writeTemplate("tasks-task-list", data);
							}
						%>
						<% for (int i = 0; i < experiment.getBinaries().length; i++) { %>
							<% Binary binary = experiment.getBinaries()[i]; %>
							<div class="entity-tree-item">
								<%
									String id = "entity-tree-item-" + Routines.htmlspecialchars(binary.getId().toString());
									String cookie = Routines.getCookieByName(request, id);
									boolean open = cookie != null && cookie.equals("open");
								%>
								<div
									id="entity-tree-item-header-<%=Routines.htmlspecialchars(binary.getId().toString())%>"
									class="entity-tree-item-header"
								><a href="#"
									onclick="return benchmarksExperimentDetailsEntityTreeItemClick('<%=Routines.htmlspecialchars(Routines.javaScriptEscape(binary.getId().toString()))%>');"
								><img
									id="entity-tree-item-expander-<%=Routines.htmlspecialchars(binary.getId().toString())%>"
									src="../../img/<%=open ? "minus" : "plus"%>.gif"
									width="9" height="9"
									alt="Expand/collapse"
								/></a>&nbsp;<a href="#"
									onclick="return benchmarksExperimentDetailsEntityTreeItemClick('<%=Routines.htmlspecialchars(Routines.javaScriptEscape(binary.getId().toString()))%>');"
								><%=binary.getName()%></a></div>
								<div
									id="entity-tree-item-body-<%=Routines.htmlspecialchars(binary.getId().toString())%>"
									class="entity-tree-item-body"
									<%=open ? "style=\"display: block\"" : "" %>
								>
									<%
										if (binary.getTasks().length > 0) {
											data.clear();
											data.put("tasks", binary.getTasks());
											data.put("checkpoints", binary.getCheckpoints());
											data.put("showHost", true);
											data.put("showContext", true);
											out.flush(); // unforunately can't be inside writeTemplate method
											page_.writeTemplate("tasks-task-list", data);
										}
									%>
									<% for (int j = 0; j < binary.getRuns().length; j++) { %>
										<% Run run = binary.getRuns()[j]; %>
										<div class="entity-tree-item">
											<%
												id = "entity-tree-item-" + Routines.htmlspecialchars(binary.getId().toString()) + "-" + Routines.htmlspecialchars(run.getId().toString());
												cookie = Routines.getCookieByName(request, id);
												open = cookie != null && cookie.equals("open");
											%>
											<div
												id="entity-tree-item-header-<%=Routines.htmlspecialchars(binary.getId().toString())%>-<%=Routines.htmlspecialchars(run.getId().toString())%>"
												class="entity-tree-item-header"
											><a href="#"
												onclick="return benchmarksExperimentDetailsEntityTreeItemClick('<%=Routines.htmlspecialchars(Routines.javaScriptEscape(binary.getId().toString()))%>-<%=Routines.htmlspecialchars(Routines.javaScriptEscape(run.getId().toString()))%>');"
											><img
												id="entity-tree-item-expander-<%=Routines.htmlspecialchars(binary.getId().toString())%>-<%=Routines.htmlspecialchars(run.getId().toString())%>"
												src="../../img/<%=open ? "minus" : "plus"%>.gif"
												width="9" height="9"
												alt="Expand/collapse"
											/></a>&nbsp;<a href="#"
												onclick="return benchmarksExperimentDetailsEntityTreeItemClick('<%=Routines.htmlspecialchars(Routines.javaScriptEscape(binary.getId().toString()))%>-<%=Routines.htmlspecialchars(Routines.javaScriptEscape(run.getId().toString()))%>');"
											><%=run.getName()%></a></div>
											<div
												id="entity-tree-item-body-<%=Routines.htmlspecialchars(binary.getId().toString())%>-<%=Routines.htmlspecialchars(run.getId().toString())%>"
												class="entity-tree-item-body"
												<%=open ? "style=\"display: block\"" : "" %>
											>
												<%
													if (run.getTasks().length > 0) {
														data.clear();
														data.put("tasks", run.getTasks());
														data.put("checkpoints", run.getCheckpoints());
														data.put("showHost", true);
														data.put("showContext", true);
														out.flush(); // unforunately can't be inside writeTemplate method
														page_.writeTemplate("tasks-task-list", data);
													}
												%>
											</div>
										</div>
									<% } %>
								</div>
							</div>
						<% } %>
					</td>
				</tr>
			</table>
		</div>
		<div id="logs-sheet" class="tabsheet-sheet-invisible">
			<%
				data.clear();
				data.put("logRecords", logRecords);
				data.put("logFields", logFields);
				data.put("logEntityColumns", logEntityColumns);
				out.flush(); // unforunately can't be inside writeTemplate method
				page_.writeTemplate("log-view", data);
			%>
		</div>
	</div>
</div>