<%--

  BEEN: Benchmarking Environment
  ==============================
   
  File author: David Majda

  GNU Lesser General Public License Version 2.1
  ---------------------------------------------
  Copyright (C) 2004-2006 Distributed Systems Research Group,
  Faculty of Mathematics and Physics, Charles University in Prague

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License version 2.1, as published by the Free Software Foundation.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

--%><%@
	include file="includes.jsp"
%><%@ page
	import="cz.cuni.mff.been.benchmarkmanager.*"
	import="cz.cuni.mff.been.benchmarkmanager.gui.*"
	import="cz.cuni.mff.been.resultsrepository.gui.*"
	import="cz.cuni.mff.been.webinterface.benchmarks.*"
	import="cz.cuni.mff.been.common.id.*"
%><%
	page_.writeInfoMessages();
	page_.writeErrorMessages();

	BRID brid = (BRID)application.getAttribute("brid");
	AnalysisEntity analysis = (AnalysisEntity)application.getAttribute("analysis");
	String pluginName = (String)application.getAttribute("pluginName");
	String experimentName = (String)application.getAttribute("experimentName");
	String experimentDescription = (String)application.getAttribute("experimentDescription");
	Role[] roles = (Role[])application.getAttribute("roles");
	CallbackRScripts callbackRScripts = (CallbackRScripts)application.getAttribute("callbackRScripts");

	HashMap data = new HashMap();
%>
<form id="benchmarks-run-confirm-form" action="<%=page_.currentActionURL()%>" method="post">
	<input type="hidden" name="brid" value="<%=Routines.htmlspecialchars(brid.toString())%>" />
	<table class="form center-block">

		<tr>
			<td colspan="2"><h2>Summary</h2></td>
		</tr>
		<tr>
			<th>Analysis name:</th>
			<td><%=Routines.htmlspecialchars(analysis.getName())%></td>
		</tr>
		<tr>
			<th>Pluign name:</th>
			<td><%=Routines.htmlspecialchars(pluginName)%></td>
		</tr>
		<tr>
			<th>Experiment name:</th>
			<td><%=Routines.htmlspecialchars(experimentName)%></td>
		</tr>
		<tr>
			<th>Experiment description:</th>
			<td><%=Routines.htmlspecialchars(experimentDescription)%></td>
		</tr>

		<%
			data.clear();
			data.put("roles", roles);
			data.put("headerLevel", 2);
			out.flush(); // unforunately can't be inside writeTemplate method
			page_.writeTemplate("benchmarks-summary-roles", data);
		%>
		<%
			data.clear();
			data.put("callbackRScripts", callbackRScripts);
			data.put("headerLevel", 2);
			out.flush(); // unforunately can't be inside writeTemplate method
			page_.writeTemplate("benchmarks-summary-callback-r-scripts", data);
		%>

		<tr><td colspan="3">&nbsp;</td></tr>
		<tr>
			<td colspan="3">
				Please check if data above is correct.<br />
				Press <strong>Next</strong> button to begin with task generation.<br />
				Press <strong>Previous</strong> button to return to previous steps and change entered data.
			</td>
		</tr>
		<tr><td colspan="3">&nbsp;</td></tr>
		
		<tr>
			<td class="buttons" colspan="3">
				<input type="submit" class="type-submit" name="previous" value="< Previous" />
				<% if (analysis.isRegression()) { %>
					<input type="submit" class="type-submit" name="finish" value="Finish" />
				<% } else { %>
					<input type="submit" class="type-submit" name="next" value="Next >" />
				<% } %>
				&nbsp;
				<input type="submit" class="type-submit" name="cancel" value="Cancel" />
			</td>
		</tr>
	</table>
</form>