<%--

  BEEN: Benchmarking Environment
  ==============================
   
  File author: David Majda

  GNU Lesser General Public License Version 2.1
  ---------------------------------------------
  Copyright (C) 2004-2006 Distributed Systems Research Group,
  Faculty of Mathematics and Physics, Charles University in Prague

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License version 2.1, as published by the Free Software Foundation.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

--%><%@
	include file="includes.jsp"
%><%@ page
	import="cz.cuni.mff.been.resultsrepository.gui.*"
%><%
	page_.writeInfoMessages();
	page_.writeWarningMessages();
	page_.writeErrorMessages();

	List analyses = (List)application.getAttribute("analyses");
	String file = (String)application.getAttribute("file");
	DataFormat[] importFormats = (DataFormat[])application.getAttribute("importFormats");
	DataFormat[] exportFormats = (DataFormat[])application.getAttribute("exportFormats");
%>
<div class="bar"><div class="top-left"><div class="top-right"><div class="bottom-left"><div class="bottom-right"><div class="inner">
	<a href="<%=page_.currentActionURL()%>">Analyses</a>
</div></div></div></div></div></div>

<h1><%=Routines.htmlspecialchars(page_.getTitle())%></h1>

<table class="spacing center-block">
	<tr>
		<td>
			<h2>Analyses</h2>
			<% if (analyses.size() > 0) { %>
				<table class="list">
					<% for (int i = 0; i < analyses.size(); i++) { %>
					  <% Entity analysis = (Entity)analyses.get(i); %>
						<tr>
							<th>
								<input type="checkbox" onclick="resultsAnalysisListAnalysisCheckboxClick(this, <%=Routines.htmlspecialchars(analysis.getId().toString())%>);" />
								<a
									 href="<%=page_.actionURL("analysis-details")%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>"
								><%=Routines.htmlspecialchars(analysis.getName())%>
								</a>
							</th>
							<td>
								<form action="<%=page_.actionURL("analysis-delete")%>"
									onsubmit="return confirm('Do you really want to delete analysis &quot;<%=Routines.htmlspecialchars(Routines.javaScriptEscape(analysis.getName()))%>&quot;?');">
									<input type="hidden" name="aid" value="<%=Routines.htmlspecialchars(analysis.getId().toString())%>" />
									<input type="submit" class="type-submit" value="Delete"
										<%=analysis.isDeletable() ? "" : "disabled=\"disabled\""%>
									/>
								</form>
							</td>
						</tr>
					<% } %>
				</table>
			<% } else { %>
				<p class="center">No analyses exist.</p>
			<% } %>			
		</td>
		<td rowspan="2">
			<div class="tabsheet results-entity-details-tabsheet">
				<ul class="tabsheet-tabs">
					<li class="active"><a href="#" onclick="tabsheetActivate(this, 'export-sheet'); return false;">Export</a></li>
				</ul>
				<div class="tabsheet-sheets">
					<div id="export-sheet" class="tabsheet-sheet-visible">
					<%
						HashMap data = new HashMap();
						HashMap formParams = new HashMap();

						data.clear();
						data.put("formId", "analysis-list-analysis-export-form");
						data.put("formAction", page_.actionURL("analysis-export"));
						data.put("idsInputName", "aids");
						data.put("exportFormats", exportFormats);
						data.put("formParams", formParams);
						out.flush(); // unforunately can't be inside writeTemplate method
						page_.writeTemplate("results-entity-export", data);
					%>					
					</div>
				</div>
			</div>		
		</td>
	</tr>
</table>
