<%--

  BEEN: Benchmarking Environment
  ==============================
   
  File author: David Majda

  GNU Lesser General Public License Version 2.1
  ---------------------------------------------
  Copyright (C) 2004-2006 Distributed Systems Research Group,
  Faculty of Mathematics and Physics, Charles University in Prague

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License version 2.1, as published by the Free Software Foundation.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

--%><%@
	include file="includes.jsp"
%><%@ page
	import="cz.cuni.mff.been.resultsrepository.gui.*"
	import="cz.cuni.mff.been.logging.*"
	import="java.util.EnumSet"
%><%
	page_.writeInfoMessages();
	page_.writeWarningMessages();
	page_.writeErrorMessages();

	Entity analysis = (Entity)application.getAttribute("analysis");
	Entity experiment = (Entity)application.getAttribute("experiment");
	Entity binary = (Entity)application.getAttribute("binary");
	Entity run = (Entity)application.getAttribute("run");
	GraphInfo[] graphInfos = (GraphInfo[])application.getAttribute("graphInfos");
	LogRecord[] logRecords = (LogRecord[])application.getAttribute("logRecords");
	EnumSet logFields = (EnumSet)application.getAttribute("logFields");
	LogEntityColumn[] logEntityColumns = (LogEntityColumn[])application.getAttribute("logEntityColumns");
	String activeSheet = (String)application.getAttribute("activeSheet");
%>
<div class="bar"><div class="top-left"><div class="top-right"><div class="bottom-left"><div class="bottom-right"><div class="inner">
	<a href="<%=page_.actionURL("analysis-list")%>">Analyses</a>
	&raquo;
	<a
		href="<%=page_.actionURL("analysis-details")%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>"
	><%=Routines.htmlspecialchars(analysis.getName())%></a>
	&raquo;
	<a
		href="<%=page_.actionURL("experiment-details")%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>&amp;eid=<%=Routines.htmlspecialchars(experiment.getId().toString())%>"
	><%=Routines.htmlspecialchars(experiment.getName())%></a>
	&raquo;
	<a
		href="<%=page_.actionURL("binary-details")%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>&amp;eid=<%=Routines.htmlspecialchars(experiment.getId().toString())%>&amp;bid=<%=Routines.htmlspecialchars(binary.getId().toString())%>"
	><%=Routines.htmlspecialchars(binary.getName())%></a>
	&raquo;
	<a
		href="<%=page_.currentActionURL()%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>&amp;eid=<%=Routines.htmlspecialchars(experiment.getId().toString())%>&amp;bid=<%=Routines.htmlspecialchars(binary.getId().toString())%>&amp;rid=<%=Routines.htmlspecialchars(run.getId().toString())%>"
	><%=Routines.htmlspecialchars(run.getId().toString())%></a>
</div></div></div></div></div></div>

<h1><%=Routines.htmlspecialchars(page_.getTitle())%></h1>

<% HashMap data = new HashMap(); %>

<div class="tabsheet results-entity-details-tabsheet center-block">
	<ul class="tabsheet-tabs">
		<% if (run.isValid()) { %>
			<li<%=activeSheet.equals("statistics-sheet") ? " class=\"active\"" : "" %>><a href="#" onclick="tabsheetActivate(this, 'statistics-sheet'); return false;">Statistics</a></li>
		<% } %>
		<% if (!run.isValid()) { %>
			<li<%=activeSheet.equals("raw-data-sheet") ? " class=\"active\"" : "" %>><a href="#" onclick="tabsheetActivate(this, 'raw-data-sheet'); return false;">Raw data</a></li>
		<% } %>
		<li<%=activeSheet.equals("load-sheet") ? " class=\"active\"" : "" %>><a href="#" onclick="tabsheetActivate(this, 'load-sheet'); return false;">Load</a></li>
		<% if (run.isValid()) { %>
			<li<%=activeSheet.equals("metadata-sheet") ? " class=\"active\"" : "" %>><a href="#" onclick="tabsheetActivate(this, 'metadata-sheet'); return false;">Metadata</a></li>
		<% } %>
		<li<%=activeSheet.equals("logs-sheet") ? " class=\"active\"" : "" %>><a href="#" onclick="tabsheetActivate(this, 'logs-sheet'); return false;">Logs</a></li>
	</ul>
	<div class="tabsheet-sheets">
		<% if (run.isValid()) { %>
			<div id="statistics-sheet"<%=activeSheet.equals("statistics-sheet") ? " class=\"tabsheet-sheet-visible\"" : " class=\"tabsheet-sheet-invisible\"" %>>
				<%
					data.clear();
					data.put("statistics", run.getStatistics());
					out.flush(); // unforunately can't be inside writeTemplate method
					page_.writeTemplate("results-entity-statistics", data);
				%>
			</div>
		<% } %>
		<% if (!run.isValid()) { %>
			<div id="raw-data-sheet"<%=activeSheet.equals("raw-data-sheet") ? " class=\"tabsheet-sheet-visible\"" : " class=\"tabsheet-sheet-invisible\"" %>>
				<p class="center">The run is invalid. You can
				<a href="<%=page_.actionURL("run-raw-data")
					+ "?aid=" + Routines.htmlspecialchars(analysis.getId().toString())
					+ "&amp;eid=" + Routines.htmlspecialchars(experiment.getId().toString())
					+ "&amp;bid=" + Routines.htmlspecialchars(binary.getId().toString())
					+ "&amp;rid=" + Routines.htmlspecialchars(run.getId().toString())
				%>">download raw data</a>
				for examination.
				</p>
			</div>
		<% } %>
		<div id="load-sheet"<%=activeSheet.equals("load-sheet") ? " class=\"tabsheet-sheet-visible\"" : " class=\"tabsheet-sheet-invisible\"" %>>
			<%
				data.clear();
				data.put("graphInfos", graphInfos);
				data.put("urlBase", page_.actionURL("run-load-graph")
					+ "?aid=" + Routines.htmlspecialchars(analysis.getId().toString())
					+ "&amp;eid=" + Routines.htmlspecialchars(experiment.getId().toString())
					+ "&amp;bid=" + Routines.htmlspecialchars(binary.getId().toString())
					+ "&amp;rid=" + Routines.htmlspecialchars(run.getId().toString())
				);
				out.flush(); // unforunately can't be inside writeTemplate method
				page_.writeTemplate("results-entity-graphs", data);
			%>
		</div>
		<% if (run.isValid()) { %>
			<div id="metadata-sheet"<%=activeSheet.equals("metadata-sheet") ? " class=\"tabsheet-sheet-visible\"" : " class=\"tabsheet-sheet-invisible\"" %>>
				<%
					data.clear();
					data.put("metadata", run.getMetadata());
					HashMap formParams = new HashMap();
					formParams.put("aid", analysis.getId().toString());
					formParams.put("eid", experiment.getId().toString());
					formParams.put("bid", binary.getId().toString());
					formParams.put("rid", run.getId().toString());
					data.put("formParams", formParams);
					out.flush(); // unforunately can't be inside writeTemplate method
					page_.writeTemplate("results-entity-metadata", data);
				%>
			</div>
		<% } %>
		<div id="logs-sheet"<%=activeSheet.equals("logs-sheet") ? " class=\"tabsheet-sheet-visible\"" : " class=\"tabsheet-sheet-invisible\"" %>>
			<%
				data.clear();
				data.put("logRecords", logRecords);
				data.put("logFields", logFields);
				data.put("logEntityColumns", logEntityColumns);
				out.flush(); // unforunately can't be inside writeTemplate method
				page_.writeTemplate("log-view", data);
			%>
		</div>
	</div>
</div>
